[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] ./configure issues



Thanks Daniel,

It was missing libgcrypt - found the link error in config.log as you described.

David.

On Oct 1, 2008, at 5:03 PM, Daniel P. Berrange wrote:

On Wed, Oct 01, 2008 at 04:58:07PM -0400, David Brain wrote:
Hi,

Trying to compile libvirt on Centos 5.2, get the following when
running configure:

....
checking for struct _xmlURI.query_raw... no
checking gnutls/gnutls.h usability... yes
checking gnutls/gnutls.h presence... yes
checking for gnutls/gnutls.h... yes
checking for gnutls_handshake in -lgnutls... no
configure: error: You must install the GnuTLS library in order to
compile and run libvirt

It's definitely installed:

Look at 'config.log' and find the place where it tries to link
the 'gnutls_handshake' symbol - there'll likely be a compiler
message that tells you what's wrong.


Daniel
--
|: Red Hat, Engineering, London -o- http://people.redhat.com/berrange/ :| |: http://libvirt.org -o- http://virt-manager.org -o- http://ovirt.org :| |: http://autobuild.org -o- http://search.cpan.org/~danberr/ :| |: GnuPG: 7D3B9505 -o- F3C9 553F A1DA 4AC2 5648 23C1 B3DF F742 7D3B 9505 :|

David Brain
dbrain bandwidth com
919.297.1078




[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]